@media (min-width: 768px) {
  .sidebar-container {
    position: sticky;
  }
  .sidebar-icon {
    font-size: 1.3rem;
  }
  .sidebar-icon-mobile {
    display: none;
    font-size: 0;
    padding: 0;
  }
  .card-flip-container {
    margin-top: 1rem;
    width: 30rem;
    height: 20rem;
    position: relative;
    cursor: pointer;
    perspective: 1000px;
    transform-style: preserve-3d;
    overflow: hidden;
  }
  .card-flip {
    width: 28rem;
    aspect-ratio: 16/9;
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    transition: transform 0.7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transform-style: preserve-3d;
  }
  .line-numbers span {
    font-size: 0.8rem;
    color: var(--border-muted);
  }
  .code {
    font-size: 0.9rem;
    margin-left: 2.5rem;
    transform: translateZ(60px);
    backface-visibility: hidden;
  }
  .indent {
    padding-left: 30px;
  }
  .indent-2 {
    padding-left: 60px;
  }
}
